Bug 839476 - FEATURE: Rebuild book when spec is updated in Skynet
FEATURE: Rebuild book when spec is updated in Skynet
Status: CLOSED CURRENTRELEASE
Product: Topic Tool
Classification: Other
Component: FUDCon Docs Hack (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joshua Wulf
Joshua Wulf
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-12 01:15 EDT by Joshua Wulf
Modified: 2014-10-19 19:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-22 05:02:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-07-12 01:15:08 EDT
When a spec that is hosted in the system changes in Skynet, rebuild the book automatically.

Relies on skynet notification queues.
Comment 1 Joshua Wulf 2013-04-22 05:02:37 EDT
Yep, now working.

The Death Star triggers a rebuild whenever a push is done through the Death Star. 

Whenever a build is performed on the 'Star, the revision of the spec is stored. 

When the Death Star is going offline, it compares the spec revision of the last build with the current spec revision in the repository, and does a rebuild if necessary.

Note You need to log in before you can comment on or make changes to this bug.